@echo off
if not exist ..\data\flexagg.zip goto missing
if not exist ..\data\579.zip goto missing
mkdir work
cd work
unzip ..\..\data\flexagg
unzip -o ..\..\data\579
echo.
echo	About to apply GTAP PATCH501:
pause
call patch501
cd ..
echo.
echo	About to copy gsddat.har into the data directory...
pause
copy work\gsddat.har ..\data\gsddat.har 
echo.
echo	About to delete the working directory...
pause
rmdir /q /s work
goto end

:missing
echo	*** Error: files are missing.
echo.
echo	Need to have GTAP5 files flexagg.zip and 579.zip
echo.
echo	These are available as part of the GTAP5 distribution.

:end
